2108: Get changes

2108: Get changes

Get a list of entities whose permissions have changed.

This endpoint uses a cursor to implement paging of results. The first request (with autoCreateCursor=true) creates the cursor, and subsequent requests move the cursor and return the next batch of results. The response property more will be true until there are no more results in the cursor, at which time it will return false.

Endpoint ID:

2108

Method:

GET

URL:

/permissions/changes/{entityType}/{cursorName}?limit={limit}&autoCreateCursor={autoCreateCursor}

 

entityType

The numeric type of the entities to check for permission changes

 

cursorName

The name of the cursor, used to identify this batch of requests for paging results.

 

limit

Optional maximum number of entityIDs to return.

Default (and maximum): 500

 

autoCreateCursor

Optional boolean value to specify whether a new cursor should be created if cursorName doesn't already exist. When set to false, a 404 will be returned if cursorName does not exist.

Default: false

Request body:

None

/permissions/changes/1/MyCursor?limit=10&autoCreateCursor=true
{ "entities": [ 123, 124, 125, 126, 127, 128 ], "lastChangeID": 98765, "more": false }

Status codes:

200

OK

 

404

Cursor not found